gnutls_record_get_max_size(3)

NAME
gnutls_record_get_max_size - returns the maximum record size

SYNOPSIS
#include <gnutls/gnutls.h>

size_t gnutls_record_get_max_size(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
Get the record size. The maximum record size is negotiated by the client after the first handshake message.

RETURNS
The maximum record packet size in this connection.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.